Saved filters
Get a saved filter
Retrieves the details of a specific view by its ID. Users can examine the filters, type, and other configurations associated with the view.
GET
/
{team_id}
/
views
/
{view_id}
Get view
curl --request GET \
--url https://api.superthread.com/v1/{team_id}/views/{view_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/views/{view_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/views/{view_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"board_filters": {
"time_created": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"time_updated": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"include": {
"ids": [
"<string>"
],
"content": "<string>",
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"members": [
"<string>"
]
},
"exclude": {
"ids": [
"<string>"
],
"content": "<string>",
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"members": [
"<string>"
]
},
"sort_by": {
"field": "time_created",
"order_ascending": true
}
},
"card_filters": {
"is_parent": true,
"is_child": true,
"has_estimate": true,
"has_members": true,
"has_priority": true,
"has_status": true,
"has_tags": true,
"has_linked_card": true,
"has_due_date": true,
"has_start_date": true,
"has_completed_date": true,
"has_parent_card": true,
"is_archived": true,
"is_watching": true,
"created_from_form": true,
"start_date": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"completed_date": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"due_date": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"time_created": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"time_updated": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"include": {
"ids": [
"<string>"
],
"content": "<string>",
"title": "<string>",
"boards": [
"<string>"
],
"estimates": [
123
],
"lists": [
"<string>"
],
"priority": [
123
],
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"owners": [
"<string>"
],
"members": [
"<string>"
],
"statuses": [
"started"
],
"external_links": [
"github_pull_request"
],
"linked_cards": [
"blocks"
],
"tags": [
"<string>"
],
"parent_cards": [
"<string>"
],
"epics": [
"<string>"
]
},
"exclude": {
"ids": [
"<string>"
],
"content": "<string>",
"title": "<string>",
"boards": [
"<string>"
],
"estimates": [
123
],
"lists": [
"<string>"
],
"priority": [
123
],
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"owners": [
"<string>"
],
"members": [
"<string>"
],
"statuses": [
"started"
],
"external_links": [
"github_pull_request"
],
"linked_cards": [
"blocks"
],
"tags": [
"<string>"
],
"parent_cards": [
"<string>"
],
"epics": [
"<string>"
]
},
"sort_by": {
"field": "time_created",
"order_ascending": true
}
},
"page_filters": {
"is_archived": true,
"time_created": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"time_updated": {
"before": "now-1d",
"after": "1620997103||-2h"
},
"include": {
"ids": [
"<string>"
],
"content": "<string>",
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"members": [
"<string>"
]
},
"exclude": {
"ids": [
"<string>"
],
"content": "<string>",
"projects": [
"<string>"
],
"creators": [
"<string>"
],
"members": [
"<string>"
]
},
"sort_by": {
"field": "time_created",
"order_ascending": true
}
},
"id": "1",
"team_id": "tARGLH5d",
"owner_user_id": "u2DdoERz",
"type": "card",
"name": "my view",
"shared": false,
"time_created": 1608742037016,
"time_updated": 1608742037016
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
View ID
Response
View response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"1"
Example:
"tARGLH5d"
Example:
"u2DdoERz"
Available options:
board, card, page Example:
"card"
Example:
"my view"
Example:
false
unix timestamp in seconds
Example:
1608742037016
unix timestamp in seconds
Example:
1608742037016
⌘I
Get view
